%define oname   fssm

Name:       ruby-%{oname}
Version:    0.2.9
Release:    %mkrel 4
Summary:    File System State Monitor
License:    MIT
Group:      Development/Ruby
URL:        http://github.com/ttilley/fssm
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
The File System State Monitor keeps track of the state of any number of paths
and will fire events when said state changes (create/update/delete). FSSM
supports using FSEvents on MacOS, Inotify on GNU/Linux, and polling anywhere
else.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%doc example.rb LICENSE README.markdown

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 0.2.9-4.mga3
+ Revision: 395963
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.2.9-3.mga3
+ Revision: 380880
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.2.9-2.mga3
+ Revision: 313004
- rebuild for new ruby

* Sat Jun 09 2012 shlomif <shlomif> 0.2.9-1.mga3
+ Revision: 258789
- Properly capitalise
- Got to build

  + solbu <solbu>
    - New version
    - Spec cleanup
    - Drop patch

* Sat Feb 12 2011 shikamaru <shikamaru> 0.1.4-2.mga1
+ Revision: 50899
- imported package ruby-fssm

